Description

The basic search interface only needs to have the following:

Text to search for

Author to limit searches to

Work to limit searches to

Subtasks:

Task # 510: Create search form Closed

Task # 511: Create REST API to obtain works list for an author Closed

Task # 512: Create search view handler Closed

Task # 513: Create search view results renderer Closed

Task # 517: Add search result pagination Closed

Task # 518: Add links from works list to search the given work Closed

Task # 519: Add support for GET defined searches Closed

Task # 520: Update URL according to search executed Closed

History

#1 - 01/12/2013 09:47 AM - Luke Murphey

- Description updated

#2 - 01/13/2013 04:28 AM - Luke Murphey

- Status changed from New to In Progress

- Assignee set to Luke Murphey

#3 - 02/05/2013 06:32 AM - Luke Murphey

Here are some plugins that can turn input into a tags:

http://welldonethings.com/tags/manager

http://textextjs.com/

http://xoxco.com/projects/code/tagsinput/

#4 - 02/07/2013 07:48 AM - Luke Murphey

I wonder if I could remove the work_id field by indexing both the title and the title slug in the work field. This would only cause a problem if a work has

a name that is entirely subsumbed by the name of another work. I guess this does happen already since some works (like speeches) have a name

that is subsumed by other works.

#5 - 02/09/2013 10:27 AM - Luke Murphey

- Status changed from In Progress to Closed
